ERP

label-printers

6 endpoints · /api/erp/v1/label-printers

Request examples are generated from each endpoint's REAL method and path. 6 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

GET/api/erp/v1/label-printers

List label printers

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/label-printers

Upsert label printer

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/label-printers/{id}

Get label printer

OturumYol parametresi: id
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
DELETE/api/erp/v1/label-printers/{id}

Delete label printer

OturumYol parametresi: id
İstek
curl -X DELETE "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/label-printers/{id}/active

Set label printer active

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers/<id>/active" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/label-printers/{id}/health

Record label printer health

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/label-printers/<id>/health" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?